package com.hh.lib_base.log;


import static com.hh.lib_base.Constants.LogcatValue.LINE;
import static com.hh.lib_base.Constants.LogcatValue.NODE;
import static com.hh.lib_base.Constants.LogcatValue.WARP;

/**
 * Description: $
 *
 * @author xwh
 * time 2024/7/22
 **/
public class SaveLogUtils {



    public static void saveLog(String action,String log){
        // 日志开始----------------begin
        // 日志行数——对应web端"日志标签"
        String logLine = (new Throwable().getStackTrace())[0].toString();
        // 日志节点
        String logNode =  action+ "--日志--";
        // 日志内容
        StringBuilder logContentSb = new StringBuilder();
        logContentSb.append(logNode).append(log.toString());

        // 开始保存本地日志
        AppLogUtils.saveLog(LogType.Logcat, new StringBuilder()
                .append(LINE)
                .append(logLine).append(WARP)
                .append(NODE)
                .append(logContentSb)
                .toString()
        );

    }
}
